{ mkDerivation, array, base, containers, lib }:
mkDerivation {
  pname = "graphSat";
  version = "0.1.0.0";
  src = ./.;
  isLibrary = true;
  isExecutable = true;
  libraryHaskellDepends = [ array base containers ];
  executableHaskellDepends = [ base ];
  testHaskellDepends = [ base ];
  homepage = "https://git.nerfingen.de/nerf/graphSat";
  description = "Sat generator for headguessings";
  license = lib.licenses.gpl3Plus;
  mainProgram = "graphSat";
}
